Skip to content

Start analysis inference run

POST
/v1/analysis/start
curl --request POST \
--url https://api.neuramancer.dev/v1/analysis/start \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "id": "example", "tenantName": "example" }'

After the client uploads a file to blob storage via presigned URL, this endpoint validates trial images (if tenant is in trial mode), and triggers the inference run. Requires authentication.

Trial Mode: If the tenant has isTrial: true, the uploaded file’s MD5 checksum is validated against the approved trial images (real.jpg and fake.jpg). If the checksum does not match either, a 422 error is returned.

Media typeapplication/json

Request payload to start an analysis inference run after uploading the image.

object
id
required

Analysis id (ObjectId string)

string
tenantName
required

Tenant name to scope the request

string
Examplegenerated
{
"id": "example",
"tenantName": "example"
}

Analysis started, inference triggered

Media typeapplication/json
object
success
boolean
Example
{
"success": true
}

Invalid request or error

Media typeapplication/json

Standardized error response following the APIResponse schema.

object
success
required
boolean
message
required
string
Example
{
"success": false,
"message": "Bad request"
}

Tenant or analysis not found

Media typeapplication/json

Standardized error response following the APIResponse schema.

object
success
required
boolean
message
required
string
Example
{
"success": false,
"message": "Bad request"
}

Analysis is not in a startable (pending) state (e.g. already processing, completed, or failed). Re-running a finished analysis must go through POST /v1/analysis/retry.

Media typeapplication/json

Standardized error response following the APIResponse schema.

object
success
required
boolean
message
required
string
Example
{
"success": false,
"message": "Bad request"
}

Trial mode: uploaded image does not match approved trial images. The analysis record is marked as ‘failed’ with a descriptive statusMessage.

Media typeapplication/json

Standardized error response following the APIResponse schema.

object
success
required
boolean
message
required
string
Example
{
"success": false,
"message": "Bad request"
}